<?php
	  function iriStatPressMSNLive()
	  {
          global $wpdb;
		  $spider_title = "MSN Live";
		  $spider_string = "%MSN%";
          $table_name = $wpdb->prefix . "statpress";
			
		  $yesterday = gmdate('Ymd', current_time('timestamp') - 86400);
		  $today = gmdate('Ymd', current_time('timestamp'));

          //YESTERDAY
          $qry_y = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider LIKE '$spider_string'
    AND date = '" . mysql_real_escape_string($yesterday) . "'
  ");
          //TODAY
          $qry_t = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider LIKE '$spider_string'
    AND date = '" . mysql_real_escape_string($today) . "'
  ");
          //ALLTIME
          $qry_at = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider LIKE '$spider_string'
  ");
		$percentage_today = round($qry_t->spiders * 100 / ($qry_y->spiders+0.001) , 2); // percent
		$percentage_today = ($percentage_today > 100) ? "+".($percentage_today - 100): "-".(100 - $percentage_today); // percent
		$permille_alltime = round($qry_t->spiders * 1000 / $qry_at->spiders , 1); // permille
          print "<div class='wrap'><h2>".__('How often today and yesterday?','statpress')."</h2>";
		  print "<p>$spider_title  - ".__('Total visits of the spider today','statpress').": <strong>".$qry_t->spiders."&times;</strong>, ".__('and yesterday','statpress').": <strong>".$qry_y->spiders."&times;</strong> &mdash; [".$percentage_today." % ".__('change','statpress')."]</p>";
		  print "<p>".__('Total visits since start time of counting','statpress').": ".$qry_at->spiders."&times; (".__('Todays alltime thousandth','statpress').": ".$permille_alltime." &permil;)</p>";
          print "</div>";
		  
          print "<div class='wrap'><h2>$spider_title ".__('Bots - 25 visits per type','statpress')."</h2>";
          print "<table class='widefat'><thead><tr>";
          print "<th scope='col'>" . __('Spider', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Date', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Time', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Page', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Agent', 'statpress') . "</th>";
          print "</tr></thead><tbody id='the-list'>";
		  $preqry = $wpdb->get_results("SELECT date,time,agent,spider,COUNT(spider) as 'spider_count',urlrequested,agent FROM $table_name WHERE (spider like '$spider_string') GROUP BY spider");
		  $last_spiders = array();
		  foreach ($preqry as $prk) { $last_spiders[] = $prk->spider; }
		  $last_spiders = array_unique($last_spiders);
		  foreach ($last_spiders as $lspider) {
          $qry = $wpdb->get_results("SELECT date,time,agent,spider,urlrequested,agent FROM $table_name WHERE (spider='".$lspider."') ORDER BY id DESC LIMIT 25");
              print "<tr><td colspan='5' style='background:#ffee99;'><strong>" . $lspider . " &dArr;</strong> (".__('last visited','statspress')." ".irihdate($qry[0]->date)." ".$qry[0]->time.")</td></tr>\n";
          foreach ($qry as $rk)
          {
              print "<tr><td><!-- " . $rk->spider . " --></td>";
			  $dcn_is_today = (gmdate('Ymd', current_time('timestamp')) == $rk->date)? ' style="font-weight:bold;"' : "";
              print "<td".$dcn_is_today.">" . irihdate($rk->date) . "</td>";
              print "<td>" . $rk->time . "</td>";
			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
			  $requrl = ($requrl=="/?") ? "/" : $requrl;
              print "<td><a href='".$requrl."'>" . iri_StatPress_Decode($rk->urlrequested) . "</a></td>";
              print "<td> " . $rk->agent . "</td></tr>\n";
          } //qry
		  } //preqry
          print "</table></div>";
		  
          print "<div class='wrap'><h2>$spider_title ".__('Bots - The last 25 visits (of all types)','statpress')."</h2>";
          print "<table class='widefat'><thead><tr>";
          print "<th scope='col'>" . __('Date', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Time', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Page', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Spider', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Agent', 'statpress') . "</th>";
          print "</tr></thead><tbody id='the-list'>";

          $qry = $wpdb->get_results("SELECT date,time,agent,spider,urlrequested,agent FROM $table_name WHERE (spider LIKE '$spider_string') ORDER BY id DESC LIMIT 25");
          foreach ($qry as $rk)
          {
              print "<tr><td>" . irihdate($rk->date) . "</td>";
              print "<td>" . $rk->time . "</td>";
			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
			  $requrl = ($requrl=="/?") ? "/" : $requrl;
              print "<td><a href='".$requrl."'>" . iri_StatPress_Decode($rk->urlrequested) . "</a></td>";
              print "<td>" . $rk->spider . "</td>";
              print "<td> " . $rk->agent . "</td></tr>\n";
          } //qry
          print "</table></div>";
		  
          print "<div class='wrap'><h2>".__('Top 10 of last crawled URLs','statpress')."</h2>";
          print "<table class='widefat'><thead><tr>";
          print "<th scope='col'>".__('Count','statpress')."</th>";
          print "<th scope='col'>".__('URL','statpress')."</th>";
          print "</tr></thead><tbody id='the-list'>";

          $qry = $wpdb->get_results("SELECT urlrequested,COUNT(urlrequested) as visitcount FROM $table_name WHERE (spider LIKE '$spider_string') GROUP BY urlrequested ORDER BY visitcount DESC LIMIT 10");
          foreach ($qry as $rk)
          {
              print "<tr><td>" . $rk->visitcount . "</td>";
			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
			  $requrl = ($requrl=="/?") ? "/" : $requrl;
              print "<td><a href='".$requrl."'>" . iri_StatPress_Decode($rk->urlrequested) . "</a></td>";
          } //qry
          print "</table></div>";
		  
          print "<div class='wrap'><h2>".__('All crawled URLs, alphabetic order','statpress')."</h2>";
          print "<table class='widefat'><thead><tr>";
          print "<th scope='col'>".__('Count','statpress')."</th>";
          print "<th scope='col'>".__('URL','statpress')."</th>";
          print "</tr></thead><tbody id='the-list'>";

          $qry = $wpdb->get_results("SELECT urlrequested,COUNT(urlrequested) as visitcount FROM $table_name WHERE (spider LIKE '$spider_string') GROUP BY urlrequested ORDER BY urlrequested ASC");
          foreach ($qry as $rk)
          {
              print "<tr><td>" . $rk->visitcount . "</td>";
			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
			  $requrl = ($requrl=="/?") ? "/" : $requrl;
              print "<td><a href='".$requrl."'>" . iri_StatPress_Decode($rk->urlrequested) . "</a></td>";
          } //qry
          print "</table></div>";
		  
		  
	  }
?>
