<?php
	  function iriStatPressSpiderStats()
	  {
          global $wpdb;
          $table_name = $wpdb->prefix . "statpress";
			
		  $yesterday = gmdate('Ymd', current_time('timestamp') - 86400);
		  $today = gmdate('Ymd', current_time('timestamp'));

          //YESTERDAY
          $qry_y = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider <> ''
    AND date = '" . mysql_real_escape_string($yesterday) . "'
  ");
          //TODAY
          $qry_t = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider <> ''
    AND date = '" . mysql_real_escape_string($today) . "'
  ");
          //ALLTIME
          $qry_at = $wpdb->get_row("
    SELECT count(date) as spiders
    FROM $table_name
    WHERE spider <> ''
  ");
		$percentage_today = round($qry_t->spiders * 100 / ($qry_y->spiders+0.001) , 2); // percent
		$percentage_today = ($percentage_today > 100) ? "+".($percentage_today - 100): "-".(100 - $percentage_today); // percent
		$permille_alltime = round($qry_t->spiders * 1000 / $qry_at->spiders , 1); // permille
          print "<div class='wrap'><h2>".__('How often today and yesterday?','statpress')."</h2>";
		  print "<p>".__('Total visits of all spiders today','statpress').": <strong>".$qry_t->spiders."&times;</strong>, ".__('and yesterday','statpress').": <strong>".$qry_y->spiders."&times;</strong> &mdash; [".$percentage_today." % ".__('change','statpress')."]</p>";
		  print "<p>".__('Total visits since start time of counting','statpress').": ".$qry_at->spiders."&times; (".__('Todays alltime thousandth','statpress').": ".$permille_alltime." &permil;)</p>";
          print "</div>";
		  
          // Last Spiders
          print "<div class='wrap'><h2>" . __('Last spiders', 'statpress') . "</h2>";
          print "<table class='widefat'><thead><tr>";
          print "<th scope='col'>" . __('Spider', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Date', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Time', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Page', 'statpress') . "</th>";
          print "<th scope='col'>" . __('Agent', 'statpress') . "</th>";
          print "</tr></thead><tbody id='the-list'>";
		  $preqry = $wpdb->get_results("SELECT date,time,agent,spider,urlrequested,agent FROM $table_name WHERE (spider<>'') ORDER BY id DESC LIMIT 250");
		  $last_spiders = array();
		  foreach ($preqry as $prk) { $last_spiders[] = $prk->spider; }
		  $last_spiders = array_unique($last_spiders);
		  foreach ($last_spiders as $lspider) {
          $qry = $wpdb->get_results("SELECT date,time,agent,spider,urlrequested,agent FROM $table_name WHERE (spider='".$lspider."') ORDER BY id DESC LIMIT 3");
              print "<tr><td colspan='4' style='background:#ffee99;'><strong>" . $lspider . " &dArr;</strong></td><td style='background:#ddcc77;'>".__('last visited','statspress')." ".irihdate($qry[0]->date)." ".$qry[0]->time."</td></tr>\n";
          foreach ($qry as $rk)
          {
              print "<tr><td><!-- " . $rk->spider . " --></td>";
              print "<td>" . irihdate($rk->date) . "</td>";
              print "<td>" . $rk->time . "</td>";
			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
			  $requrl = ($requrl=="/?") ? "/" : $requrl;
              print "<td><a href='".$requrl."'>" . iri_StatPress_Abbrevia(iri_StatPress_Decode($rk->urlrequested), 30) . "</a></td>";
              print "<td> " . $rk->agent . "</td></tr>\n";
          } //qry
		  } //preqry
          print "</table></div>";

### off: very time and memory consuming!
### TODO: try to find a better solution
#
#		  // all crawled urls
#          print "<div class='wrap'><h2>Alle gecrawlte URLs ($spider_title, alphab. sortiert)</h2>";
#          print "<table class='widefat'><thead><tr>";
#          print "<th scope='col'>URL</th>";
#          print "<th scope='col'>Anzahl gesamt</th>";
#          print "<th scope='col'>Google</th>";
#          print "<th scope='col'>Yahoo</th>";
#          print "<th scope='col'>MSN Live</th>";
#          print "</tr></thead><tbody id='the-list'>";
#
#          $qry = $wpdb->get_results("SELECT
#										urlrequested,
#										COUNT(urlrequested) AS v_sum
#										FROM $table_name
#										WHERE
#											   spider LIKE '%Google%'
#											OR spider LIKE '%Yahoo%'
#											OR spider LIKE '%MSN%'
#										GROUP BY urlrequested
#										ORDER BY urlrequested ASC");
#          foreach ($qry as $rk)
#          {
#			  $requrl = ($rk->urlrequested[0]=="/") ? $rk->urlrequested : "/?".$rk->urlrequested;
#			  $requrl = ($requrl=="/?") ? "/" : $requrl;
#			  $qry_g = $wpdb->get_row("SELECT COUNT(urlrequested) AS vcount FROM $table_name WHERE urlrequested='".$rk->urlrequested."' AND spider LIKE '%Google%'");
#			  $qry_y = $wpdb->get_row("SELECT COUNT(urlrequested) AS vcount FROM $table_name WHERE urlrequested='".$rk->urlrequested."' AND spider LIKE '%Yahoo%'");
#			  $qry_m = $wpdb->get_row("SELECT COUNT(urlrequested) AS vcount FROM $table_name WHERE urlrequested='".$rk->urlrequested."' AND spider LIKE '%MSN%'");
#              print "<tr><td><a href='".$requrl."'>" . iri_StatPress_Decode($rk->urlrequested) . "</a></td>";
#              print "<td>" . $rk->v_sum . "</td>";
#              print "<td>" . $qry_g->vcount . "</td>";
#              print "<td>" . $qry_y->vcount . "</td>";
#              print "<td>" . $qry_m->vcount . "</td></tr>";
#          } //qry
#          print "</table></div>";
		  
		  
	  }
?>
